List contract templates
Your contract templates, by name and version, each with how many times it has been signed. Retired ones are left out unless you ask for them. Needs read on Animals.
GET
https://{organization}.rescueconsole.com
/
api
/
animals
/
contract-templates
List contract templates
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/contract-templates \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/contract-templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/contract-templates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"name": "<string>",
"version": "<string>",
"kind": "adoption",
"body": "<string>",
"is_active": true,
"body_blocks": [
{
"type": "p",
"runs": [
{
"text": "<string>",
"bold": true,
"italic": true,
"underline": true,
"strike": true,
"href": "<string>"
}
],
"items": [
[
{
"text": "<string>",
"bold": true,
"italic": true,
"underline": true,
"strike": true,
"href": "<string>"
}
]
],
"level": 1,
"rows": [
[
[
{
"text": "<string>",
"bold": true,
"italic": true,
"underline": true,
"strike": true,
"href": "<string>"
}
]
]
],
"src": "<string>",
"alt": "<string>"
}
],
"conditions": {
"species": [
"dog"
],
"age_bands": [
"<string>"
],
"traits": [
"<string>"
],
"min_days_in_care": 1,
"bonded_pair": true,
"min_animals": 3,
"min_fee_cents": 1,
"max_fee_cents": 1
},
"field_conditions": [
{
"target": "animal",
"field": "<string>",
"op": "is",
"value": "<string>"
}
],
"asks": [
"media_release"
],
"signature_count": 123,
"merge_fields": [
"animal_name"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"for_destination_type": "residence",
"for_transport_scope": "run"
}
]
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}Authorizations
Query Parameters
⌘I
List contract templates
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/contract-templates \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/contract-templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/contract-templates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"name": "<string>",
"version": "<string>",
"kind": "adoption",
"body": "<string>",
"is_active": true,
"body_blocks": [
{
"type": "p",
"runs": [
{
"text": "<string>",
"bold": true,
"italic": true,
"underline": true,
"strike": true,
"href": "<string>"
}
],
"items": [
[
{
"text": "<string>",
"bold": true,
"italic": true,
"underline": true,
"strike": true,
"href": "<string>"
}
]
],
"level": 1,
"rows": [
[
[
{
"text": "<string>",
"bold": true,
"italic": true,
"underline": true,
"strike": true,
"href": "<string>"
}
]
]
],
"src": "<string>",
"alt": "<string>"
}
],
"conditions": {
"species": [
"dog"
],
"age_bands": [
"<string>"
],
"traits": [
"<string>"
],
"min_days_in_care": 1,
"bonded_pair": true,
"min_animals": 3,
"min_fee_cents": 1,
"max_fee_cents": 1
},
"field_conditions": [
{
"target": "animal",
"field": "<string>",
"op": "is",
"value": "<string>"
}
],
"asks": [
"media_release"
],
"signature_count": 123,
"merge_fields": [
"animal_name"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"for_destination_type": "residence",
"for_transport_scope": "run"
}
]
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}
